com.sun.jna.platform.win32.COM

## Class IUnknown

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.IUnknown

- All Implemented Interfaces:
    NativeMapped
  Direct Known Subclasses:
    IDispatch, IRecordInfo, ITypeComp, ITypeInfo, ITypeLib, ITypeLib.ByReference, IUnknown.ByReference

      public class IUnknown
      extends PointerType

  Wrapper class for the ITypeInfo interface Method Name V-Table Offset IUnknown.QueryInterface 0 IUnknown.AddRef 4 IUnknown.Release 8
  Author:
    Tobias Wolf, wolf.tobias@gmx.net

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IUnknown.ByReference` The Class ByReference.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Guid.IID` | `IID_IDispatch` The Constant IID_IDispatch.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IUnknown()` Instantiates a new i unknown.
    `IUnknown(Pointer pvInstance)` Instantiates a new i unknown.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `AddRef()` Adds the ref.
    `WinNT.HRESULT` | `QueryInterface(Guid.IID riid, PointerByReference ppvObject)` Query interface.
    `int` | `Release()` Release.

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IID_IDispatch

          public static final Guid.IID IID_IDispatch

      The Constant IID_IDispatch.

  - ### Constructor Detail

    - #### IUnknown

          public IUnknown()

      Instantiates a new i unknown.

    - #### IUnknown

          public IUnknown(Pointer pvInstance)

      Instantiates a new i unknown.
      Parameters:
        `pvInstance` - the pv instance

  - ### Method Detail

    - #### QueryInterface

          public WinNT.HRESULT QueryInterface(Guid.IID riid,
                                     PointerByReference ppvObject)

      Query interface.
      Parameters:
        `riid` - the riid
        `ppvObject` - the ppv object
      Returns:
        the hresult

    - #### AddRef

          public int AddRef()

      Adds the ref.
      Returns:
        the ulong

    - #### Release

          public int Release()

      Release.
      Returns:
        the ulong

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.